Skip to content

Return configured initial field mappings for a canonical board target definition.

GET
/api/workspace/admin/boards/boards/{boardId}/target-definitions/{boardTargetDefinitionId}/initial-field-mappings
curl --request GET \
--url https://example.com/api/workspace/admin/boards/boards/example/target-definitions/example/initial-field-mappings
  • None
boardId
required
string
boardTargetDefinitionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Configured initial field mappings for one canonical board target definition.

object
BoardId
string
nullable
BoardTargetDefinitionId
string
nullable
RowVersion
string format: uuid
Mappings
Array<object>
nullable

One configured initial field mapping row.

object
Id
string
nullable
DestinationKind
integer format: int32
Allowed values: 0 1 2 3
DestinationFieldKey
string
nullable
DestinationDisplayName
string
nullable
DestinationFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SourceFieldKey
string
nullable
SourceDisplayName
string
nullable
SourceFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SortOrder
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Mappings": [
{
"DestinationKind": 0,
"DestinationFieldType": 0,
"SourceFieldType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Configured initial field mappings for one canonical board target definition.

object
BoardId
string
nullable
BoardTargetDefinitionId
string
nullable
RowVersion
string format: uuid
Mappings
Array<object>
nullable

One configured initial field mapping row.

object
Id
string
nullable
DestinationKind
integer format: int32
Allowed values: 0 1 2 3
DestinationFieldKey
string
nullable
DestinationDisplayName
string
nullable
DestinationFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SourceFieldKey
string
nullable
SourceDisplayName
string
nullable
SourceFieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SortOrder
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Mappings": [
{
"DestinationKind": 0,
"DestinationFieldType": 0,
"SourceFieldType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}